> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaultcord.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Checkout

> Generate a checkout link to be paid with Card2Crypto



## OpenAPI

````yaml post /donate/pay
openapi: 3.0.0
info:
  description: VaultCord public API for developers to access resources
  version: 1.0.0
  title: VaultCord Developers API
  x-logo:
    url: https://cdn.vaultcord.com/logo.png
    backgroundColor: '#FFFFFF'
    altText: VaultCord logo
    href: https://vaultcord.com
servers:
  - description: VaultCord Developers API endpoint
    url: https://api.vaultcord.com
security:
  - bearerAuth: []
tags:
  - name: Servers
    description: Servers endpoints
  - name: Bots
    description: Bot endpoints
  - name: Backups
    description: Backup endpoints
  - name: Members
    description: Member endpoints
  - name: Alerts
    description: Alert endpoints
  - name: Whites
    description: Whitelist endpoints
paths:
  /donate/pay:
    post:
      tags:
        - Card2Crypto
        - Cardtocrypto
        - Card-2-crypto
        - checkout
        - donate
        - payment
      description: Generate a checkout link to be paid with Card2Crypto
      operationId: createCheckout
      requestBody:
        description: >-
          Payment details, we will save these in our system and forward to your
          webhook.
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - cost
                - userIp
              properties:
                cost:
                  type: integer
                  description: Payment cost in the number of cents (USD currency)
                  example: 500
                userIp:
                  type: string
                  description: IP Address of the buyer
                  example: 131.247.47.171
                metadata:
                  type: object
                  description: >-
                    Key-value pairs that get saved in VaultCord and forwarded to
                    your webhook. Store things like account ID, order numbers,
                    etc.
                  example:
                    foo: bar
                    any_random_value: 557edcdb-163d-4f7c-bb3b-ca65f190f330
                success_url:
                  type: string
                  description: Redirect the buyer to this URL after successful payment
                  example: https://example.com/thank-you
                failure_url:
                  type: string
                  description: >-
                    Redirect the buyer to this URL if the credit card gets
                    declined or rejected for fraudulent use
                  example: https://cucucovers.com/products/money-y-u-no-have
                email:
                  type: string
                  description: >-
                    (Optional) Email address of the customer, for reference
                    purposes
                  example: notexttospeech@gmail.com
                userid:
                  type: string
                  description: >-
                    (Optional) Discord user ID of the buyer, for reference
                    purposes
                  example: '720820224877789204'
                userFingerprint:
                  type: string
                  description: (Optional) Browser fingerprint, for reference purposes
                  example: 1a5423084a51bd2b47fe3aedde108b0c
      responses:
        '200':
          $ref: '#/components/responses/donateCheckoutCreated'
        '400':
          $ref: '#/components/responses/donateBadRequestCheckout'
        '403':
          $ref: '#/components/responses/donateForbiddenCheckout'
        '422':
          $ref: '#/components/responses/donateUnprocessibleCheckout'
components:
  responses:
    donateCheckoutCreated:
      description: >-
        Successfully created checkout URL, redirect the customer to the below
        link.
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: true
              url:
                type: string
                example: >-
                  https://nelson-cybersecurity-llc.myhelcim.com/hosted/?token=14afb0b2d4b9d92ea69bb3
              tier_cached:
                type: boolean
                example: true
              reference:
                type: string
                description: >-
                  This will be sent from our rest API webhook, in case you would
                  like to save for later linking requests together.
                example: d9c0aa46d08946718b1d3055f502333a
              created_at:
                type: integer
                example: 1768362879
              timestamp:
                type: string
                example: '2026-01-14T03:54:39.000Z'
              userEmail:
                type: string
                example: notexttospeech@gmail.com
              userIp:
                type: string
                example: 131.247.47.171
              userFingerprint:
                type: string
                example: 1a5423084a51bd2b47fe3aedde108b0c
              metadata:
                type: object
                description: >-
                  Key-value pairs that get saved in VaultCord and forwarded to
                  your webhook. Store things like account ID, order numbers,
                  etc.
                example:
                  foo: bar
                  any_random_value: 557edcdb-163d-4f7c-bb3b-ca65f190f330
              success_url:
                type: string
                description: Redirect the buyer to this URL after successful payment
                example: https://example.com/thank-you
              failure_url:
                type: string
                description: >-
                  Redirect the buyer to this URL if the credit card gets
                  declined or rejected for fraudulent use
                example: https://cucucovers.com/products/money-y-u-no-have
    donateBadRequestCheckout:
      description: >-
        Cost must be represented as the number 350 (which is $3.50 USD) or
        higher. Any lower is usually not allowed, unless your account manager
        has given you an exception and unique fee schedule.
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                example: >-
                  The "cost" field is invalid, you must specify a cost and it
                  should be in the number of cents (USD currency). So for $5, do
                  500. For $20 USD do 2000
    donateForbiddenCheckout:
      description: >-
        Your customers must not be connected to a VPN, hosting service such as
        Google Cloud, or TOR Browser. Getting several fraudulent orders is bad
        and jeopardizes our ability to accept payments.
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                example: >-
                  The customer must disconnect from the VPN to make this
                  purchase, in order to make proper fraud preventions.
    donateUnprocessibleCheckout:
      description: >-
        You must use the API key in https://dash.vaultcord.com/donate-links any
        other API key from Developers page or otherwise will NOT work here.
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                example: >-
                  This API key isn't for VaultCord Pay, use the API key on
                  dash.vaultcord.com/donate-links
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````